import React, { Suspense } from 'react';
import { Navigate, Route, Routes } from 'react-router-dom';
import Mainlayout from '../layouts/Mainlayout';
import KnowledgeBase from '../pages/KnowledgeBase/KnowledgeBase';
import Loading from '../components/Loading';
import Login from '../pages/auth/Login';
import Signup from '../pages/auth/Signup';
import ProtectedRoute from './protectedRoute';
import { useSelector } from 'react-redux';

function AppRouter() {
    const { id } = useSelector((state) => state.auth);

    return (
        <Suspense fallback={<Loading />}>
            <Routes>
                <Route element={<ProtectedRoute />}>
                    <Route
                        path='/'
                        element={
                            <Mainlayout>
                                <KnowledgeBase />
                            </Mainlayout>
                        }
                    />
                </Route>
                <Route path='/login' element={<Login />} />
                <Route path='/signup' element={<Signup />} />
                <Route path='*' element={<Navigate to={!!id ? '/' : '/login'} replace />} />
            </Routes>
        </Suspense>
    );
}
export default AppRouter;
